Create a payee
curl --request POST \
--url https://api.withacclaim.com/v1/payees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"given_name": "John",
"family_name": "Doe",
"middle_name": "<string>",
"company": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"entity_type": "Individual",
"active": true,
"identifier": "<string>",
"preferred_language": "<string>",
"metadata": {
"custom_field": "value",
"source": "api"
}
}
'import requests
url = "https://api.withacclaim.com/v1/payees"
payload = {
"given_name": "John",
"family_name": "Doe",
"middle_name": "<string>",
"company": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"entity_type": "Individual",
"active": True,
"identifier": "<string>",
"preferred_language": "<string>",
"metadata": {
"custom_field": "value",
"source": "api"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
given_name: 'John',
family_name: 'Doe',
middle_name: '<string>',
company: '<string>',
name: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
entity_type: 'Individual',
active: true,
identifier: '<string>',
preferred_language: '<string>',
metadata: {custom_field: 'value', source: 'api'}
})
};
fetch('https://api.withacclaim.com/v1/payees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "pyee_KfIuLz83Ya",
"given_name": "John",
"family_name": "Doe",
"middle_name": "<string>",
"name": "<string>",
"identifier": "PYEE-2025-001",
"email": "jsmith@example.com",
"phone": "<string>",
"company": "<string>",
"entity_type": "Individual",
"address": {
"country": "US",
"address1": "123 Main St",
"address2": "Suite 100",
"city": "New York",
"state": "NY",
"postal_code": "10001"
},
"active": true,
"status": "Active",
"preferred_language": "<string>",
"metadata": {
"custom_field": "value",
"source": "api"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "invalid_request",
"message": "Missing required field: amount",
"details": {},
"request_id": "req_7lYt4o2x"
}
}Payees
Create a payee
POST
/
payees
Create a payee
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
First name
Required string length:
1 - 255Example:
"John"
Last name
Required string length:
1 - 255Example:
"Doe"
Required string length:
1 - 255Required string length:
1 - 255Required string length:
1 - 255E.164 formatted phone number
Type of legal entity
Available options:
Individual, Company Show child attributes
Show child attributes
Custom identifier for the payee
Required string length:
1 - 50Maximum string length:
20Optional metadata as key-value pairs
Example:
{ "custom_field": "value", "source": "api" }
Response
Payee created.
Example:
"pyee_KfIuLz83Ya"
Example:
"John"
Example:
"Doe"
Example:
"PYEE-2025-001"
E.164 formatted phone number
Available options:
Individual, Company Example:
"Individual"
Show child attributes
Show child attributes
Example:
true
Current status of the payee based on information completeness and active state
Available options:
Active, MissingInfo, Inactive Example:
"Active"
BCP 47 language tag (e.g. en, en-US)
Maximum string length:
20Optional metadata as key-value pairs
Example:
{ "custom_field": "value", "source": "api" }
Last modified on July 8, 2026
⌘I